> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List billable items

> Get a paged list of billable items



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/organisations/{organisationId}/billable-items
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/billable-items:
    get:
      tags:
        - Billable Item
      summary: List billable items
      description: Get a paged list of billable items
      operationId: BillableItemsController_list
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 200
            default: 10
            example: 10
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/BillableItem'
                      page:
                        type: number
                        example: 1
                      limit:
                        type: number
                        example: 10
                      totalItems:
                        type: number
                        example: 100
                      totalPages:
                        type: number
                        example: 10
components:
  schemas:
    ApiResponse:
      type: object
      properties: {}
    BillableItem:
      type: object
      properties:
        name:
          type: string
          description: Short description of the item
        basePrice:
          type: number
          description: Price before tax
        totalPrice:
          type: number
          description: Price including tax
        taxAmount:
          type: number
          description: Tax amount
        taxRate:
          type: number
          description: Tax rate
        itemCode:
          type: string
          nullable: true
          description: Item code for funding and claiming
        serviceItem:
          description: The service item linked to the item code on this billable item
          allOf:
            - $ref: '#/components/schemas/ServiceItem'
        type:
          enum:
            - service
            - product
            - class
            - other
          type: string
          description: Type of billable item
        pmsBillableItemId:
          type: string
          description: PMS assigned ID
        id:
          type: string
      required:
        - name
        - basePrice
        - totalPrice
        - taxAmount
        - taxRate
        - type
        - id
    ServiceItem:
      type: object
      properties:
        id:
          type: string
        description:
          type: string
        itemCode:
          type: string
        category:
          type: string
        source:
          enum:
            - phi
            - medicare
          type: string
      required:
        - id
        - itemCode
        - category
        - source

````